#pragma once

#include <string>
#include <filesystem>

using Path = std::filesystem::path;
class TriMesh;

class MeshObjWriter
{
public:
	static std::string serialize(TriMesh* mesh);
	static void write(const Path& path, TriMesh* mesh);
};